<?php
/* Set e-mail recipient */
$myemail  = "site-owner@domain.com";

/* Check all form inputs using check_input function */
$title = check_input($_POST['title']);
$name = check_input($_POST['name'], "Enter your name");
$phone = check_input($_POST['phone']);
$email    = check_input($_POST['email'], "Enter your e-mail address");
$website  = check_input($_POST['website']);
$subject  = check_input($_POST['subject'], "Write a subject");
$program   = check_input($_POST['program']);
$how = check_input($_POST['how']);
$comments = check_input($_POST['comments']);
$regex = check_input($_POST['regex']);


/* If e-mail is not valid show error message */
if (!preg_match("/([\w\-]+\@[\w\-]+\.[\w\-]+)/", $email))
{
    show_error("E-mail address not valid");
}

/* If URL is not valid set $website to empty */
if (!preg_match("/^(https?:\/\/+[\w\-]+\.[\w\-]+)/i", $website))
{
    $website = '';
}
/* Set the right answer for the regex captcha */
if($regex != "seven" && $regex != "Seven" && $regex != "SEVEN")
{
show_error("You don't seem to be human");
}


/* Let's prepare the message for the e-mail */
$message = "Hello!

Your contact form has been submitted by:
Title: $title
Name: $name
Phone: $phone
E-mail: $email
URL: $website
Subject: $subject
Favourite program? $program
How did you find CC? $how

Comments:
$comments

End of message
";

/*  mail headers for from address */
$headers = 'From: the-boss@domain.com' . "\r\n" .
    'Reply-To: the-boss@domain.com' ;

/* Send the message to the owner using mail() function */
mail($myemail, $subject, $message, $headers);

$subject2 = "Thanks for filling in my contact form";
$message2 = "I will get back to you shortly";

/* Send a message to the form user */
mail($email, $subject2, $message2, $headers);

/* Redirect visitor to the thank you page */
header('Location: thanks.html');
exit();

/* Functions we used */
function check_input($data, $problem='')
{
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    if ($problem && strlen($data) == 0)
    {
        show_error($problem);
    }
    return $data;
}

function show_error($myError)
{
?>
    <html>
    <body>

    <b>Please correct the following error:</b><br />
    <?php echo $myError; ?>

    </body>
    </html>
<?php
exit();
}
?>
